/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.project.db.service;

import com.hzbank.testteam.autotest.dependencies.monsterDependency.dto.ProjectDTO;
import net.northking.cctp.project.db.entity.CpProject;
import net.northking.cctp.project.dto.project.ProjectSimpleInfo;

import java.text.ParseException;
import java.util.List;

public interface CpProjectService{

    List<ProjectSimpleInfo> queryAllProjectByTenant() throws ParseException;

    List<ProjectSimpleInfo> queryProByDevice(String tenantId) throws ParseException;

    ProjectSimpleInfo getProjectInfo(CpProject project);

    /**
     * 批量查询雪狼项目
     */
    List<ProjectDTO> queryProjectWolfProjectList();

    String queryProCode(String proId);

}
